%define	name	cdrdao
%define	version	1.1.5
%define	release	2
%define	serial	2
%define	prefix	/usr

Summary:	Cdrdao - Write audio CD-Rs in disk-at-once mode
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Applications/System
Vendor:		Andreas Mueller <mueller@daneb.ping.de>
URL:		http://cdrdao.sourceforge.net
Source:		%{name}-%{version}.src.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	pccts >= 1.33

%description
Writes audio CD-Rs in disc-at-once (DAO) mode allowing
control over pre-gaps (length down to 0, nonzero audio data)
and sub-channel information like ISRC codes. All data that
is written to the disc must be specified with a text file.
Audio data may be in WAVE or raw format.

## Not Building gcdmaster at this time
## %package        gcdmaster
## Summary:        Graphical front end to cdrdao for composing audio CDs.
## Group:          Applications/System
## Obsoletes:      cdrdao-xdao, cdrdao-xcdrdao
## Requires:       cdrdao, gtkmm >= 1.2.0, gtk+ >= 1.2.0
## 
## %description    gcdmaster
## gcdmaster allows the creation of toc-files for cdrdao and
## can control the recording process. Its main application is
## the composition of audio CDs from one or more audio files.
## It supports PQ-channel editing, entry of meta data like
## ISRC codes/CD-TEXT and non destructive cut of the audio data.

%prep
%setup -q

%build
export CFLAGS="${RPM_OPT_FLAGS}" CXXFLAGS="${RPM_OPT_FLAGS}";
./configure %{_target_platform} \
	--prefix=%{prefix} \
	--with-pcctsbin=/usr/bin \
	--with-pcctsinc=/usr/include/pccts

make

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
make prefix=${RPM_BUILD_ROOT}/%{prefix} install

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files
%defattr(-,root,root)
%doc testtocs COPYING INSTALL README cdrdao.lsm
%{prefix}/bin/cdrdao
%{prefix}/man/man1/cdrdao.1*
%{prefix}/share/cdrdao/drivers

## %files	gcdmaster
## %{prefix}/bin/gcdmaster
## %{prefix}/share/pixmaps/gcdmaster.png
## %{prefix}/share/gnome/apps/Applications/gcdmaster.desktop


%changelog
* Wed Jul 18 2001 Ryan Weaver <ryanw@falsehope.com>
  [cdrdao-1.1.5-2]
- configure param --prefix=%{prefix} got lost someplace, it's back.
- Including %{prefix}/share/cdrdao/drivers now :)

* Thu May 31 2001 Ryan Weaver <ryanw@falsehope.com>
  [cdrdao-1.1.5-1]
- Fixed bug in CD-TEXT writing code that caused the problems with the
  unreliable read back of the written CD-TEXT data
- Added CD-TEXT writing capability to the 'generic-mmc-raw' driver; the
  recorder must support the 96 byte raw P-W sub-channel writing mode to
  make use of it
- Fixed bug in generic-mmc-raw driver: the TOC type was not written correctly
  and some flags for data tracks were missing in the lead-in
- Fixed handling of toc type for multi session CDs: the toc-type of 
  a session that just contains audio tracks is always CD_DA, even in multi
  session mode
- BURN Proof support added by ITOH Yasufumi/Martin Buck
- Fixed bug in calculating the CDDB id (SourceForge bug 413467)
- Added option --with-cddb to read CDDB data automatically with commands
  'copy', 'read-toc' and 'read-cd'; it is now possible to add CD-TEXT data
  from CDDB while performing an on-the-fly copy
- Updated to libscg-0.5 from cdrtools-1.10
- Handle drives that do not support the explicit power calibration command
- Blanking of CD-RWs is now officially supported (command 'blank',
  option --blank-mode)
- Updated CD-R vendor table
- Settings are now first read from "/etc/cdrdao.conf" and
  "/etc/defaults/cdrdao" and then from "$HOME/.cdrdao"
- Added command 'msinfo' to output multi session information suitable for
  'mkisofs'
- Overburning is now prevented by default and must be explicitly requested
  with option '--overburn'. Fix for Debian bug #79585 
  (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=79585&repeatmerged=yes).
- Fixed error in cdrdao's manual page (Debian bug #82816,
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=82816&repeatmerged=yes)
- cdrdao's help screen was reworked by Michael Reinelt
- Added Giuseppe Corbelli's enhancements for the 'mp32dao' script
- Makefiles now use make variable 'datadir' to specify the share directory
  location
- Fixed printing toc-file name with command 'copy --keepimage'


* Mon Aug 28 2000 Ryan Weaver <ryanw@infohwy.com>
  [cdrdao-1.1.4-1]
- Created new 'toshiba' driver for 'read-toc'/'read-cd' with Toshiba
  CD-ROM drives.
- Added full multi session support to the 'cdd2600' driver.
- CD-TEXT is written without any copy protection flags now.
- Added CDDB access to add title and artist data as CD-TEXT to an
  existing toc-file. The direct cddbp and the http encapsulated protocol
  is supported.
- Added support to better handle disks written in track-at-once mode with
  'read-cd' and 'read-toc' (see options --tao-source and --tao-source-adjust).
- Fixed bug that prevented recording of pure data CDs with the recent HP
  and Sony recorder models in single session mode.
  For multi session mode the restrictions mentioned in the README are
  still valid.
- Fixed 'unit not ready' problems after writing with the 'generic-mmc'
  and 'generic-mmc-raw' driver.
- Toc-files with tracks that are shorter than 4 seconds will be recorded
  if option '--force' is given.
- Some of the command line options are now saved to a settings file
  "$HOME/.cdrdao" if option '--save' is given.
- The driver database is now kept in an external file so it is possible
  to update the database between the cdrdao releases. Actual driver
  database files will be available from
    http://cdrdao.sourceforge.net/drives.html#dt
- Added new option '--keepimage' which keeps the created image file after
  the command 'copy' finishes.
- Fixed bug in CD-TEXT reading code: CD-TEXT fields with empty strings were
  only read for the first track.
- Driver 'generic-mmc': If the power calibration fails the recording process
  will be aborted now.
- Driver 'generic-mmc-raw': Added explicit power calibration.

- Xcdrdao is now a Gnome application and will be called "Gnome CD Master"
  (gcdmaster) in future.
- Added table wise entry of CD-TEXT title/performer data.
- Added a dialog to extract a CD to the hard disk.
- Added a dialog to do CD to CD copy, with "on the fly" as an option.
- Speed and record buffer are now selectable in the GUI.
- When reading/duplicating a CD you can set the paranoia mode.

